/************************************************************************
 *																		*
 *	H8 EMULATOR Project --	REGIONDLG.H									*
 *																		*
 *	A dialog object used by the logic analyzer to define debug regions	*
 *																		*
 *	------------------------------------------------------------------	*
 *																		*
 *	Copyright (c) 1999 by			David A. Wallace					*
 *									154 Dunstable Rd.					*
 *									N. Chelmsford, MA					*
 *											01863-1202					*
 *																		*
 ************************************************************************/


// RegionDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// RegionDlg dialog

class RegionDlg : public CDialog
{
// Construction
public:
	RegionDlg(CWnd* pParent = NULL);   // standard constructor

// Overrides
public:
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(RegionDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(RegionDlg)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()


//	Methods:

public:

protected:

private:
	BOOL	ValidateSplitOctal(CString strValue);
	CString	AddOffsetToAddress(CString strAddress, CString strOffset);
	int		SplitOctalToDecimal(CString strValue);
	CString	DecimalToSplitOctal(int nValue);

// Dialog Data
public:
	//{{AFX_DATA(RegionDlg)
	enum { IDD = IDD_REGION };
	CButton	m_RegionCk;
	BOOL	m_bEnabledOnCreate;
	CString	m_strEnd;
	CString	m_strStart;
	//}}AFX_DATA

	int		m_nStartAddress;
	int		m_nEndAddress;

//	Attributes:

public:
	BOOL	m_bShowCheckbox;
	
protected:

private:




};
