/************************************************************************
 *																		*
 *	UTILITY FUNCTION --	SYSPALETTE.H									*
 *																		*
 *	This object provides a convenient way to obtain the colors which	*
 *	have been selected as the system color scheme.
 *																		*
 *	------------------------------------------------------------------	*
 *																		*
 *	Copyright (c) 1998 - 2001 by	David A. Wallace					*
 *									154 Dunstable Rd.					*
 *									N. Chelmsford, MA					*
 *											01863-1202					*
 *																		*
 ************************************************************************/

#ifndef _SYSPALETTE_H_
#define _SYSPALETTE_H_

#include "stdafx.h"

class SystemPalette
{
public:
	SystemPalette();
	~SystemPalette();

//	Methods:

public:
protected:
private:

//	Attributes:

public:
	COLORREF	crActiveBorder;
	COLORREF	crActiveTitle;
	COLORREF	crAppWorkSpace;
	COLORREF	crBackground;
	COLORREF	crButtonFace;
	COLORREF	crButtonHilight;
	COLORREF	crButtonShadow;
	COLORREF	crButtonText;
	COLORREF	crGrayText;
	COLORREF	crHilight;
	COLORREF	crHilightText;
	COLORREF	crInactiveBorder;
	COLORREF	crInactiveTitle;
	COLORREF	crInactiveTitleText;
	COLORREF	crInfoText;
	COLORREF	crInfoWindow;
	COLORREF	crMenu;
	COLORREF	crMenuText;
	COLORREF	crScrollbar;
	COLORREF	crTitleText;
	COLORREF	crWindow;
	COLORREF	crWindowFrame;
	COLORREF	crWindowText;

protected:
private:
};


#endif	//	#ifndef _SYSPALETTE_H_
