/************************************************************************
 *																		*
 *	H8 EMULATOR Project --	DISPLAY.H									*
 *																		*
 *	The graphical UI object for the Heathkit H-8 control panel display	*
 *																		*
 *	------------------------------------------------------------------	*
 *																		*
 *	Copyright (c) 1998 - 2001 by	David A. Wallace					*
 *									154 Dunstable Rd.					*
 *									N. Chelmsford, MA					*
 *											01863-1202					*
 *																		*
 ************************************************************************/

#ifndef _DISPLAY_H_
#define	_DISPLAY_H_

// Display.h : header file
//

#ifndef _PAM_H_
#include "pam.h"
#endif

/////////////////////////////////////////////////////////////////////////////
// Display window


class Display : public CWnd
{
// Construction
public:
	Display();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(Display)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~Display();

	// Generated message map functions
protected:
	//{{AFX_MSG(Display)
	afx_msg void OnPaint();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

//	Attributes:

public:
	BOOL			m_bPowerLED;
	BOOL			m_bInterruptEnabledLED;
	BOOL			m_bRunLED;

protected:

private:
	CBitmap	m_bmpBackground;
};


/////////////////////////////////////////////////////////////////////////////


#endif	//	#ifndef _DISPLAY_H_
